package com.sunxung.factoring.entity.sys.workingDayManage;

import java.util.Date;

import org.hibernate.validator.constraints.Length;

import com.alibaba.fastjson.annotation.JSONField;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * @description:工作日管理实体
 * @author:吴端丽
 * @e-mail:1912942707@qq.com
 * @date:2018年5月30日 下午4:22:49
 */
public class WorkingDayManage extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /** 日期 **/
    @JSONField(format = "yyyy-MM-dd")
    private Date dateTime;
    /** 是否是工作日 **/
    private boolean workingDay;
    /** 备注 **/
    @Length(max = 20, message = "备注不能超过输入20个字符", groups = {
            Add.class, Update.class
    })
    private String remark;

    public Date getDateTime() {
        return dateTime;
    }

    public void setDateTime(Date dateTime) {
        this.dateTime = dateTime;
    }

    public boolean isWorkingDay() {
        return workingDay;
    }

    public void setWorkingDay(boolean workingDay) {
        this.workingDay = workingDay;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
